/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMORDENTRABAJOCUSTODIOS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmordentrabajocustodios.findAll", query = "SELECT t FROM Tarmordentrabajocustodios t"),
    @NamedQuery(name = "Tarmordentrabajocustodios.findByCordentrabajocustodios", query = "SELECT t FROM Tarmordentrabajocustodios t WHERE t.cordentrabajocustodios = :cordentrabajocustodios"),
    @NamedQuery(name = "Tarmordentrabajocustodios.findByCedulacustodio", query = "SELECT t FROM Tarmordentrabajocustodios t WHERE t.cedulacustodio = :cedulacustodio"),
    @NamedQuery(name = "Tarmordentrabajocustodios.findByNombrecustodio", query = "SELECT t FROM Tarmordentrabajocustodios t WHERE t.nombrecustodio = :nombrecustodio"),
    @NamedQuery(name = "Tarmordentrabajocustodios.findByApellidoscustidio", query = "SELECT t FROM Tarmordentrabajocustodios t WHERE t.apellidoscustidio = :apellidoscustidio"),
    @NamedQuery(name = "Tarmordentrabajocustodios.findByObservaciones", query = "SELECT t FROM Tarmordentrabajocustodios t WHERE t.observaciones = :observaciones")})
public class Tarmordentrabajocustodios implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CORDENTRABAJOCUSTODIOS")
    private Long cordentrabajocustodios;
    @Column(name = "CEDULACUSTODIO")
    private String cedulacustodio;
    @Column(name = "NOMBRECUSTODIO")
    private String nombrecustodio;
    @Column(name = "APELLIDOSCUSTIDIO")
    private String apellidoscustidio;
    @Column(name = "OBSERVACIONES")
    private String observaciones;
    @JoinColumn(name = "CORDENTRABAJO", referencedColumnName = "CORDENTRABAJO")
    @ManyToOne
    private Tarmordentrabajo cordentrabajo;
    @JoinColumns({
        @JoinColumn(name = "GRADO", referencedColumnName = "CATALOG"),
        @JoinColumn(name = "GRADOCODIGO", referencedColumnName = "CATALOGCODE")})
    @ManyToOne
    private Tgenecatalogdetail tgenecatalogdetail;

    public Tarmordentrabajocustodios() {
    }

    public Tarmordentrabajocustodios(Long cordentrabajocustodios) {
        this.cordentrabajocustodios = cordentrabajocustodios;
    }

    public Long getCordentrabajocustodios() {
        return cordentrabajocustodios;
    }

    public void setCordentrabajocustodios(Long cordentrabajocustodios) {
        this.cordentrabajocustodios = cordentrabajocustodios;
    }

    public String getCedulacustodio() {
        return cedulacustodio;
    }

    public void setCedulacustodio(String cedulacustodio) {
        this.cedulacustodio = cedulacustodio;
    }

    public String getNombrecustodio() {
        return nombrecustodio;
    }

    public void setNombrecustodio(String nombrecustodio) {
        this.nombrecustodio = nombrecustodio;
    }

    public String getApellidoscustidio() {
        return apellidoscustidio;
    }

    public void setApellidoscustidio(String apellidoscustidio) {
        this.apellidoscustidio = apellidoscustidio;
    }

    public String getObservaciones() {
        return observaciones;
    }

    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }

    public Tarmordentrabajo getCordentrabajo() {
        return cordentrabajo;
    }

    public void setCordentrabajo(Tarmordentrabajo cordentrabajo) {
        this.cordentrabajo = cordentrabajo;
    }

    public Tgenecatalogdetail getTgenecatalogdetail() {
        return tgenecatalogdetail;
    }

    public void setTgenecatalogdetail(Tgenecatalogdetail tgenecatalogdetail) {
        this.tgenecatalogdetail = tgenecatalogdetail;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cordentrabajocustodios != null ? cordentrabajocustodios.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmordentrabajocustodios)) {
            return false;
        }
        Tarmordentrabajocustodios other = (Tarmordentrabajocustodios) object;
        if ((this.cordentrabajocustodios == null && other.cordentrabajocustodios != null) || (this.cordentrabajocustodios != null && !this.cordentrabajocustodios.equals(other.cordentrabajocustodios))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmordentrabajocustodios[ cordentrabajocustodios=" + cordentrabajocustodios + " ]";
    }
    
}
